# VerificationError | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- Error
  - VerificationError

## Index

### Constructors

- constructor

### Properties

- message
- name
- stack
- Error

## Constructors

### constructor

- new VerificationError(message: string): VerificationError

- - Defined in packages/transactions/src/errors.ts:55

  #### Parameters

  - ##### message: string

  #### Returns VerificationError

## Properties

### message

message: string

Inherited from SafetyError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:974

### name

name: string

Inherited from SafetyError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### Optional stack

stack: undefined | string

Inherited from SafetyError.stack

Overrides SafetyError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:984

Generated using TypeDoc